package com.jisco.dynamicweight.pika.model;

import com.steerinfo.framework.model.IBasePO;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import java.math.BigDecimal;
import java.util.Date;

@ApiModel(value="null")
public class Centernet implements IBasePO<String> {
    /**
     * ?????(Identity,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=true)
    private String identity;

    /**
     * ????(MeasureBill,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=false)
    private String measurebill;

    /**
     * ????(TrustBillNum,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=false)
    private String trustbillnum;

    /**
     * ????(VoucherIdentity,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=false)
    private String voucheridentity;

    /**
     * ????(VoucherItem,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=false)
    private String voucheritem;

    /**
     * ??????(BusinessGroup,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=false)
    private String businessgroup;

    /**
     * ????(BusinessType,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=false)
    private String businesstype;

    /**
     * ????(StationType,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=true)
    private String stationtype;

    /**
     * ??????(MeasureObjectType,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=true)
    private String measureobjecttype;

    /**
     * ????(Conveyance,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=true)
    private String conveyance;

    /**
     * ???(Trailer,VARCHAR,30)
     */
    @ApiModelProperty(value="???",required=false)
    private String trailer;

    /**
     * ????(TempConveyance,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=false)
    private String tempconveyance;

    /**
     * ?????(ConveyanceGroup,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=true)
    private String conveyancegroup;

    /**
     * ??????(ConveyanceType,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=false)
    private String conveyancetype;

    /**
     * ?????(ResourceSystem,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=true)
    private String resourcesystem;

    /**
     * ?????(GroupPackageAmount,DECIMAL,10)
     */
    @ApiModelProperty(value="?????",required=false)
    private Long grouppackageamount;

    /**
     * ??????(GroupPackageUnit,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=false)
    private String grouppackageunit;

    /**
     * ????(PackageAmount,DECIMAL,10)
     */
    @ApiModelProperty(value="????",required=false)
    private Long packageamount;

    /**
     * ????(PackageUnit,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=false)
    private String packageunit;

    /**
     * ???(TheoryAmount,DECIMAL,16)
     */
    @ApiModelProperty(value="???",required=false)
    private BigDecimal theoryamount;

    /**
     * ??(Gross,DECIMAL,16)
     */
    @ApiModelProperty(value="??",required=true)
    private BigDecimal gross;

    /**
     * ??(Tare,DECIMAL,16)
     */
    @ApiModelProperty(value="??",required=false)
    private BigDecimal tare;

    /**
     * ??(PonderationAmount,DECIMAL,16)
     */
    @ApiModelProperty(value="??",required=true)
    private BigDecimal ponderationamount;

    /**
     * ?????(MeasureBatch,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=false)
    private String measurebatch;

    /**
     * ??????(MeasureBatchCount,DECIMAL,10)
     */
    @ApiModelProperty(value="??????",required=false)
    private Long measurebatchcount;

    /**
     * ?????(MeasureTaskNum,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=false)
    private String measuretasknum;

    /**
     * ?????(SenderType,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=false)
    private String sendertype;

    /**
     * ????(SenderName,VARCHAR,100)
     */
    @ApiModelProperty(value="????",required=false)
    private String sendername;

    /**
     * ??????(Sender,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=false)
    private String sender;

    /**
     * ?????(SenderRemark,VARCHAR,100)
     */
    @ApiModelProperty(value="?????",required=false)
    private String senderremark;

    /**
     * ?????(ReceiverType,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=false)
    private String receivertype;

    /**
     * ????(ReceiverName,VARCHAR,100)
     */
    @ApiModelProperty(value="????",required=false)
    private String receivername;

    /**
     * ??????(Receiver,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=false)
    private String receiver;

    /**
     * ?????(ReceiverRemark,VARCHAR,100)
     */
    @ApiModelProperty(value="?????",required=false)
    private String receiverremark;

    /**
     * ????(MaterialName,VARCHAR,100)
     */
    @ApiModelProperty(value="????",required=false)
    private String materialname;

    /**
     * ????(Material,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=false)
    private String material;

    /**
     * ????(TareSystem,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=true)
    private String taresystem;

    /**
     * ????(GrossSystem,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=true)
    private String grosssystem;

    /**
     * ????(NetSystem,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=true)
    private String netsystem;

    /**
     * ??????(TareDataResourceType,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=true)
    private String taredataresourcetype;

    /**
     * ??????(GrossDataResourceType,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=true)
    private String grossdataresourcetype;

    /**
     * ??????(NetDataResourceType,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=true)
    private String netdataresourcetype;

    /**
     * ????(TareTime,TIMESTAMP,7)
     */
    @ApiModelProperty(value="????",required=true)
    private Date taretime;

    /**
     * ????(GrossTime,TIMESTAMP,7)
     */
    @ApiModelProperty(value="????",required=true)
    private Date grosstime;

    /**
     * ????(NetTime,TIMESTAMP,7)
     */
    @ApiModelProperty(value="????",required=true)
    private Date nettime;

    /**
     * ????(TareStationName,VARCHAR,100)
     */
    @ApiModelProperty(value="????",required=true)
    private String tarestationname;

    /**
     * ??????(TareStation,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=true)
    private String tarestation;

    /**
     * ????(GrossStationName,VARCHAR,100)
     */
    @ApiModelProperty(value="????",required=true)
    private String grossstationname;

    /**
     * ??????(GrossStation,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=true)
    private String grossstation;

    /**
     * ????(NetStationName,VARCHAR,100)
     */
    @ApiModelProperty(value="????",required=true)
    private String netstationname;

    /**
     * ??????(NetStation,VARCHAR,30)
     */
    @ApiModelProperty(value="??????",required=true)
    private String netstation;

    /**
     * ?????(TareWeightor,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=true)
    private String tareweightor;

    /**
     * ?????(GrossWeightor,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=true)
    private String grossweightor;

    /**
     * ?????(NetWeightor,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=true)
    private String netweightor;

    /**
     * ????(BatchIdentity,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=false)
    private String batchidentity;

    /**
     * ????(BusinessState,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=true)
    private String businessstate;

    /**
     * ????(BillType,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=true)
    private String billtype;

    /**
     * ????(MeasureType,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=true)
    private String measuretype;

    /**
     * ????(AmountUnit,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=true)
    private String amountunit;

    /**
     * ?????(DownloadedTag,VARCHAR,30)
     */
    @ApiModelProperty(value="?????",required=false)
    private String downloadedtag;

    /**
     * ????(DeletedTag,VARCHAR,30)
     */
    @ApiModelProperty(value="????",required=false)
    private String deletedtag;

    /**
     * ???(Creator,VARCHAR,30)
     */
    @ApiModelProperty(value="???",required=true)
    private String creator;

    /**
     * ????(CreateDate,TIMESTAMP,7)
     */
    @ApiModelProperty(value="????",required=true)
    private Date createdate;

    /**
     * ???(Changer,VARCHAR,30)
     */
    @ApiModelProperty(value="???",required=true)
    private String changer;

    /**
     * ????(ChangeDate,TIMESTAMP,7)
     */
    @ApiModelProperty(value="????",required=true)
    private Date changedate;

    private static final long serialVersionUID = 1L;

    @Override
    public String getId() {
        return this.identity;
    }

    @Override
    public void setId(String identity) {
        this.identity = identity == null ? null : identity.trim();
    }

    public String getIdentity() {
        return identity;
    }

    public void setIdentity(String identity) {
        this.identity = identity == null ? null : identity.trim();
    }

    public String getMeasurebill() {
        return measurebill;
    }

    public void setMeasurebill(String measurebill) {
        this.measurebill = measurebill == null ? null : measurebill.trim();
    }

    public String getTrustbillnum() {
        return trustbillnum;
    }

    public void setTrustbillnum(String trustbillnum) {
        this.trustbillnum = trustbillnum == null ? null : trustbillnum.trim();
    }

    public String getVoucheridentity() {
        return voucheridentity;
    }

    public void setVoucheridentity(String voucheridentity) {
        this.voucheridentity = voucheridentity == null ? null : voucheridentity.trim();
    }

    public String getVoucheritem() {
        return voucheritem;
    }

    public void setVoucheritem(String voucheritem) {
        this.voucheritem = voucheritem == null ? null : voucheritem.trim();
    }

    public String getBusinessgroup() {
        return businessgroup;
    }

    public void setBusinessgroup(String businessgroup) {
        this.businessgroup = businessgroup == null ? null : businessgroup.trim();
    }

    public String getBusinesstype() {
        return businesstype;
    }

    public void setBusinesstype(String businesstype) {
        this.businesstype = businesstype == null ? null : businesstype.trim();
    }

    public String getStationtype() {
        return stationtype;
    }

    public void setStationtype(String stationtype) {
        this.stationtype = stationtype == null ? null : stationtype.trim();
    }

    public String getMeasureobjecttype() {
        return measureobjecttype;
    }

    public void setMeasureobjecttype(String measureobjecttype) {
        this.measureobjecttype = measureobjecttype == null ? null : measureobjecttype.trim();
    }

    public String getConveyance() {
        return conveyance;
    }

    public void setConveyance(String conveyance) {
        this.conveyance = conveyance == null ? null : conveyance.trim();
    }

    public String getTrailer() {
        return trailer;
    }

    public void setTrailer(String trailer) {
        this.trailer = trailer == null ? null : trailer.trim();
    }

    public String getTempconveyance() {
        return tempconveyance;
    }

    public void setTempconveyance(String tempconveyance) {
        this.tempconveyance = tempconveyance == null ? null : tempconveyance.trim();
    }

    public String getConveyancegroup() {
        return conveyancegroup;
    }

    public void setConveyancegroup(String conveyancegroup) {
        this.conveyancegroup = conveyancegroup == null ? null : conveyancegroup.trim();
    }

    public String getConveyancetype() {
        return conveyancetype;
    }

    public void setConveyancetype(String conveyancetype) {
        this.conveyancetype = conveyancetype == null ? null : conveyancetype.trim();
    }

    public String getResourcesystem() {
        return resourcesystem;
    }

    public void setResourcesystem(String resourcesystem) {
        this.resourcesystem = resourcesystem == null ? null : resourcesystem.trim();
    }

    public Long getGrouppackageamount() {
        return grouppackageamount;
    }

    public void setGrouppackageamount(Long grouppackageamount) {
        this.grouppackageamount = grouppackageamount;
    }

    public String getGrouppackageunit() {
        return grouppackageunit;
    }

    public void setGrouppackageunit(String grouppackageunit) {
        this.grouppackageunit = grouppackageunit == null ? null : grouppackageunit.trim();
    }

    public Long getPackageamount() {
        return packageamount;
    }

    public void setPackageamount(Long packageamount) {
        this.packageamount = packageamount;
    }

    public String getPackageunit() {
        return packageunit;
    }

    public void setPackageunit(String packageunit) {
        this.packageunit = packageunit == null ? null : packageunit.trim();
    }

    public BigDecimal getTheoryamount() {
        return theoryamount;
    }

    public void setTheoryamount(BigDecimal theoryamount) {
        this.theoryamount = theoryamount;
    }

    public BigDecimal getGross() {
        return gross;
    }

    public void setGross(BigDecimal gross) {
        this.gross = gross;
    }

    public BigDecimal getTare() {
        return tare;
    }

    public void setTare(BigDecimal tare) {
        this.tare = tare;
    }

    public BigDecimal getPonderationamount() {
        return ponderationamount;
    }

    public void setPonderationamount(BigDecimal ponderationamount) {
        this.ponderationamount = ponderationamount;
    }

    public String getMeasurebatch() {
        return measurebatch;
    }

    public void setMeasurebatch(String measurebatch) {
        this.measurebatch = measurebatch == null ? null : measurebatch.trim();
    }

    public Long getMeasurebatchcount() {
        return measurebatchcount;
    }

    public void setMeasurebatchcount(Long measurebatchcount) {
        this.measurebatchcount = measurebatchcount;
    }

    public String getMeasuretasknum() {
        return measuretasknum;
    }

    public void setMeasuretasknum(String measuretasknum) {
        this.measuretasknum = measuretasknum == null ? null : measuretasknum.trim();
    }

    public String getSendertype() {
        return sendertype;
    }

    public void setSendertype(String sendertype) {
        this.sendertype = sendertype == null ? null : sendertype.trim();
    }

    public String getSendername() {
        return sendername;
    }

    public void setSendername(String sendername) {
        this.sendername = sendername == null ? null : sendername.trim();
    }

    public String getSender() {
        return sender;
    }

    public void setSender(String sender) {
        this.sender = sender == null ? null : sender.trim();
    }

    public String getSenderremark() {
        return senderremark;
    }

    public void setSenderremark(String senderremark) {
        this.senderremark = senderremark == null ? null : senderremark.trim();
    }

    public String getReceivertype() {
        return receivertype;
    }

    public void setReceivertype(String receivertype) {
        this.receivertype = receivertype == null ? null : receivertype.trim();
    }

    public String getReceivername() {
        return receivername;
    }

    public void setReceivername(String receivername) {
        this.receivername = receivername == null ? null : receivername.trim();
    }

    public String getReceiver() {
        return receiver;
    }

    public void setReceiver(String receiver) {
        this.receiver = receiver == null ? null : receiver.trim();
    }

    public String getReceiverremark() {
        return receiverremark;
    }

    public void setReceiverremark(String receiverremark) {
        this.receiverremark = receiverremark == null ? null : receiverremark.trim();
    }

    public String getMaterialname() {
        return materialname;
    }

    public void setMaterialname(String materialname) {
        this.materialname = materialname == null ? null : materialname.trim();
    }

    public String getMaterial() {
        return material;
    }

    public void setMaterial(String material) {
        this.material = material == null ? null : material.trim();
    }

    public String getTaresystem() {
        return taresystem;
    }

    public void setTaresystem(String taresystem) {
        this.taresystem = taresystem == null ? null : taresystem.trim();
    }

    public String getGrosssystem() {
        return grosssystem;
    }

    public void setGrosssystem(String grosssystem) {
        this.grosssystem = grosssystem == null ? null : grosssystem.trim();
    }

    public String getNetsystem() {
        return netsystem;
    }

    public void setNetsystem(String netsystem) {
        this.netsystem = netsystem == null ? null : netsystem.trim();
    }

    public String getTaredataresourcetype() {
        return taredataresourcetype;
    }

    public void setTaredataresourcetype(String taredataresourcetype) {
        this.taredataresourcetype = taredataresourcetype == null ? null : taredataresourcetype.trim();
    }

    public String getGrossdataresourcetype() {
        return grossdataresourcetype;
    }

    public void setGrossdataresourcetype(String grossdataresourcetype) {
        this.grossdataresourcetype = grossdataresourcetype == null ? null : grossdataresourcetype.trim();
    }

    public String getNetdataresourcetype() {
        return netdataresourcetype;
    }

    public void setNetdataresourcetype(String netdataresourcetype) {
        this.netdataresourcetype = netdataresourcetype == null ? null : netdataresourcetype.trim();
    }

    public Date getTaretime() {
        return taretime;
    }

    public void setTaretime(Date taretime) {
        this.taretime = taretime;
    }

    public Date getGrosstime() {
        return grosstime;
    }

    public void setGrosstime(Date grosstime) {
        this.grosstime = grosstime;
    }

    public Date getNettime() {
        return nettime;
    }

    public void setNettime(Date nettime) {
        this.nettime = nettime;
    }

    public String getTarestationname() {
        return tarestationname;
    }

    public void setTarestationname(String tarestationname) {
        this.tarestationname = tarestationname == null ? null : tarestationname.trim();
    }

    public String getTarestation() {
        return tarestation;
    }

    public void setTarestation(String tarestation) {
        this.tarestation = tarestation == null ? null : tarestation.trim();
    }

    public String getGrossstationname() {
        return grossstationname;
    }

    public void setGrossstationname(String grossstationname) {
        this.grossstationname = grossstationname == null ? null : grossstationname.trim();
    }

    public String getGrossstation() {
        return grossstation;
    }

    public void setGrossstation(String grossstation) {
        this.grossstation = grossstation == null ? null : grossstation.trim();
    }

    public String getNetstationname() {
        return netstationname;
    }

    public void setNetstationname(String netstationname) {
        this.netstationname = netstationname == null ? null : netstationname.trim();
    }

    public String getNetstation() {
        return netstation;
    }

    public void setNetstation(String netstation) {
        this.netstation = netstation == null ? null : netstation.trim();
    }

    public String getTareweightor() {
        return tareweightor;
    }

    public void setTareweightor(String tareweightor) {
        this.tareweightor = tareweightor == null ? null : tareweightor.trim();
    }

    public String getGrossweightor() {
        return grossweightor;
    }

    public void setGrossweightor(String grossweightor) {
        this.grossweightor = grossweightor == null ? null : grossweightor.trim();
    }

    public String getNetweightor() {
        return netweightor;
    }

    public void setNetweightor(String netweightor) {
        this.netweightor = netweightor == null ? null : netweightor.trim();
    }

    public String getBatchidentity() {
        return batchidentity;
    }

    public void setBatchidentity(String batchidentity) {
        this.batchidentity = batchidentity == null ? null : batchidentity.trim();
    }

    public String getBusinessstate() {
        return businessstate;
    }

    public void setBusinessstate(String businessstate) {
        this.businessstate = businessstate == null ? null : businessstate.trim();
    }

    public String getBilltype() {
        return billtype;
    }

    public void setBilltype(String billtype) {
        this.billtype = billtype == null ? null : billtype.trim();
    }

    public String getMeasuretype() {
        return measuretype;
    }

    public void setMeasuretype(String measuretype) {
        this.measuretype = measuretype == null ? null : measuretype.trim();
    }

    public String getAmountunit() {
        return amountunit;
    }

    public void setAmountunit(String amountunit) {
        this.amountunit = amountunit == null ? null : amountunit.trim();
    }

    public String getDownloadedtag() {
        return downloadedtag;
    }

    public void setDownloadedtag(String downloadedtag) {
        this.downloadedtag = downloadedtag == null ? null : downloadedtag.trim();
    }

    public String getDeletedtag() {
        return deletedtag;
    }

    public void setDeletedtag(String deletedtag) {
        this.deletedtag = deletedtag == null ? null : deletedtag.trim();
    }

    public String getCreator() {
        return creator;
    }

    public void setCreator(String creator) {
        this.creator = creator == null ? null : creator.trim();
    }

    public Date getCreatedate() {
        return createdate;
    }

    public void setCreatedate(Date createdate) {
        this.createdate = createdate;
    }

    public String getChanger() {
        return changer;
    }

    public void setChanger(String changer) {
        this.changer = changer == null ? null : changer.trim();
    }

    public Date getChangedate() {
        return changedate;
    }

    public void setChangedate(Date changedate) {
        this.changedate = changedate;
    }

    @Override
    public String toString() {
        StringBuilder sb = new StringBuilder();
        sb.append(getClass().getSimpleName());
        sb.append(" [");
        sb.append("Hash = ").append(hashCode());
        sb.append(", identity=").append(identity);
        sb.append(", measurebill=").append(measurebill);
        sb.append(", trustbillnum=").append(trustbillnum);
        sb.append(", voucheridentity=").append(voucheridentity);
        sb.append(", voucheritem=").append(voucheritem);
        sb.append(", businessgroup=").append(businessgroup);
        sb.append(", businesstype=").append(businesstype);
        sb.append(", stationtype=").append(stationtype);
        sb.append(", measureobjecttype=").append(measureobjecttype);
        sb.append(", conveyance=").append(conveyance);
        sb.append(", trailer=").append(trailer);
        sb.append(", tempconveyance=").append(tempconveyance);
        sb.append(", conveyancegroup=").append(conveyancegroup);
        sb.append(", conveyancetype=").append(conveyancetype);
        sb.append(", resourcesystem=").append(resourcesystem);
        sb.append(", grouppackageamount=").append(grouppackageamount);
        sb.append(", grouppackageunit=").append(grouppackageunit);
        sb.append(", packageamount=").append(packageamount);
        sb.append(", packageunit=").append(packageunit);
        sb.append(", theoryamount=").append(theoryamount);
        sb.append(", gross=").append(gross);
        sb.append(", tare=").append(tare);
        sb.append(", ponderationamount=").append(ponderationamount);
        sb.append(", measurebatch=").append(measurebatch);
        sb.append(", measurebatchcount=").append(measurebatchcount);
        sb.append(", measuretasknum=").append(measuretasknum);
        sb.append(", sendertype=").append(sendertype);
        sb.append(", sendername=").append(sendername);
        sb.append(", sender=").append(sender);
        sb.append(", senderremark=").append(senderremark);
        sb.append(", receivertype=").append(receivertype);
        sb.append(", receivername=").append(receivername);
        sb.append(", receiver=").append(receiver);
        sb.append(", receiverremark=").append(receiverremark);
        sb.append(", materialname=").append(materialname);
        sb.append(", material=").append(material);
        sb.append(", taresystem=").append(taresystem);
        sb.append(", grosssystem=").append(grosssystem);
        sb.append(", netsystem=").append(netsystem);
        sb.append(", taredataresourcetype=").append(taredataresourcetype);
        sb.append(", grossdataresourcetype=").append(grossdataresourcetype);
        sb.append(", netdataresourcetype=").append(netdataresourcetype);
        sb.append(", taretime=").append(taretime);
        sb.append(", grosstime=").append(grosstime);
        sb.append(", nettime=").append(nettime);
        sb.append(", tarestationname=").append(tarestationname);
        sb.append(", tarestation=").append(tarestation);
        sb.append(", grossstationname=").append(grossstationname);
        sb.append(", grossstation=").append(grossstation);
        sb.append(", netstationname=").append(netstationname);
        sb.append(", netstation=").append(netstation);
        sb.append(", tareweightor=").append(tareweightor);
        sb.append(", grossweightor=").append(grossweightor);
        sb.append(", netweightor=").append(netweightor);
        sb.append(", batchidentity=").append(batchidentity);
        sb.append(", businessstate=").append(businessstate);
        sb.append(", billtype=").append(billtype);
        sb.append(", measuretype=").append(measuretype);
        sb.append(", amountunit=").append(amountunit);
        sb.append(", downloadedtag=").append(downloadedtag);
        sb.append(", deletedtag=").append(deletedtag);
        sb.append(", creator=").append(creator);
        sb.append(", createdate=").append(createdate);
        sb.append(", changer=").append(changer);
        sb.append(", changedate=").append(changedate);
        sb.append(", serialVersionUID=").append(serialVersionUID);
        sb.append("]");
        return sb.toString();
    }
}